IRremoteESP8266: DaikinESPProtocol Union Reference

IRremoteESP8266

Public Attributes | List of all members
DaikinESPProtocol Union Reference

Native representation of a Daikin A/C message. More...

`#include <ir_Daikin.h>`

## Public Attributes

uint8_t | raw [kDaikinStateLength]
| The state of the IR remote. More...
struct {
uint64_t __pad0__:48
uint64_t __pad1__:4
uint64_t Comfort:1
uint64_t __pad2__:3
uint64_t Sum1:8
uint64_t __pad3__:40
uint64_t CurrentTime:11
uint64_t CurrentDay:3
uint64_t __pad4__:2
uint64_t Sum2:8
uint64_t __pad5__:40
uint64_t Power:1
uint64_t OnTimer:1
uint64_t OffTimer:1
uint64_t __pad6__:1
uint64_t Mode:3
uint64_t __pad7__:1
uint64_t __pad8__:1
uint64_t Temp:7
uint64_t __pad9__:8
uint64_t SwingV:4
uint64_t Fan:4
uint64_t SwingH:4
uint64_t __pad10__:4
uint64_t OnTime:12
uint64_t OffTime:12
uint64_t Powerful:1
uint64_t __pad11__:4
uint64_t Quiet:1
uint64_t __pad12__:2
uint64_t __pad13__:0
uint8_t __pad14__:1
uint8_t Sensor:1
uint8_t Econo:1
uint8_t __pad15__:4
uint8_t WeeklyTimer:1
uint8_t __pad16__:1
uint8_t Mold:1
uint8_t __pad17__:6
uint8_t Sum3:8
}; |

## Detailed Description

Native representation of a Daikin A/C message.

## Member Data Documentation

## ◆ @13

struct { ... }

## ◆ __pad0__

uint64_t DaikinESPProtocol::__pad0__

## ◆ __pad10__

uint64_t DaikinESPProtocol::__pad10__

## ◆ __pad11__

uint64_t DaikinESPProtocol::__pad11__

## ◆ __pad12__

uint64_t DaikinESPProtocol::__pad12__

## ◆ __pad13__

uint64_t DaikinESPProtocol::__pad13__

## ◆ __pad14__

uint8_t DaikinESPProtocol::__pad14__

## ◆ __pad15__

uint8_t DaikinESPProtocol::__pad15__

## ◆ __pad16__

uint8_t DaikinESPProtocol::__pad16__

## ◆ __pad17__

uint8_t DaikinESPProtocol::__pad17__

## ◆ __pad1__

uint64_t DaikinESPProtocol::__pad1__

## ◆ __pad2__

uint64_t DaikinESPProtocol::__pad2__

## ◆ __pad3__

uint64_t DaikinESPProtocol::__pad3__

## ◆ __pad4__

uint64_t DaikinESPProtocol::__pad4__

## ◆ __pad5__

uint64_t DaikinESPProtocol::__pad5__

## ◆ __pad6__

uint64_t DaikinESPProtocol::__pad6__

## ◆ __pad7__

uint64_t DaikinESPProtocol::__pad7__

## ◆ __pad8__

uint64_t DaikinESPProtocol::__pad8__

## ◆ __pad9__

uint64_t DaikinESPProtocol::__pad9__

## ◆ Comfort

uint64_t DaikinESPProtocol::Comfort

## ◆ CurrentDay

uint64_t DaikinESPProtocol::CurrentDay

## ◆ CurrentTime

uint64_t DaikinESPProtocol::CurrentTime

## ◆ Econo

uint8_t DaikinESPProtocol::Econo

## ◆ Fan

uint64_t DaikinESPProtocol::Fan

## ◆ Mode

uint64_t DaikinESPProtocol::Mode

## ◆ Mold

uint8_t DaikinESPProtocol::Mold

## ◆ OffTime

uint64_t DaikinESPProtocol::OffTime

## ◆ OffTimer

uint64_t DaikinESPProtocol::OffTimer

## ◆ OnTime

uint64_t DaikinESPProtocol::OnTime

## ◆ OnTimer

uint64_t DaikinESPProtocol::OnTimer

## ◆ Power

uint64_t DaikinESPProtocol::Power

## ◆ Powerful

uint64_t DaikinESPProtocol::Powerful

## ◆ Quiet

uint64_t DaikinESPProtocol::Quiet

## ◆ raw

uint8_t DaikinESPProtocol::raw[kDaikinStateLength]

The state of the IR remote.

## ◆ Sensor

uint8_t DaikinESPProtocol::Sensor

## ◆ Sum1

uint64_t DaikinESPProtocol::Sum1

## ◆ Sum2

uint64_t DaikinESPProtocol::Sum2

## ◆ Sum3

uint8_t DaikinESPProtocol::Sum3

## ◆ SwingH

uint64_t DaikinESPProtocol::SwingH

## ◆ SwingV

uint64_t DaikinESPProtocol::SwingV

## ◆ Temp

uint64_t DaikinESPProtocol::Temp

## ◆ WeeklyTimer

uint8_t DaikinESPProtocol::WeeklyTimer

The documentation for this union was generated from the following file:

- src/ir_Daikin.h